> ## Documentation Index
> Fetch the complete documentation index at: https://memos-api.openmem.net/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all memories for user

> Get all memories or subgraph for a specific user.

If search_query is provided, returns a subgraph based on the query.
Otherwise, returns all memories of the specified type.



## OpenAPI

````yaml mintdocs/openapi.json post /product/get_all
openapi: 3.1.0
info:
  title: MemOS API
  version: 1.0.0
servers: []
security: []
paths:
  /product/get_all:
    post:
      tags:
        - Server API
      summary: Get all memories for user
      description: |-
        Get all memories or subgraph for a specific user.

        If search_query is provided, returns a subgraph based on the query.
        Otherwise, returns all memories of the specified type.
      operationId: get_all_memories_product_get_all_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetMemoryPlaygroundRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MemoryResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    GetMemoryPlaygroundRequest:
      properties:
        user_id:
          type: string
          title: User Id
          description: User ID
        memory_type:
          type: string
          enum:
            - text_mem
            - act_mem
            - param_mem
            - para_mem
          title: Memory Type
          description: Memory type
        mem_cube_ids:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Mem Cube Ids
          description: Cube IDs
        search_query:
          anyOf:
            - type: string
            - type: 'null'
          title: Search Query
          description: Search query
      type: object
      required:
        - user_id
        - memory_type
      title: GetMemoryPlaygroundRequest
      description: Request model for getting memories.
    MemoryResponse:
      properties:
        code:
          type: integer
          title: Code
          description: Response status code
          default: 200
        message:
          type: string
          title: Message
          description: Response message
        data:
          anyOf:
            - items: {}
              type: array
            - type: 'null'
          title: Data
          description: Response data
      type: object
      required:
        - message
      title: MemoryResponse
      description: Response model for memory operations.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````